ur_rna.StructureEditor.services.drawing.export

## Class GraphicsStyle

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.export.GraphicsStyle

- All Implemented Interfaces:
    java.lang.Cloneable

      public class GraphicsStyle
      extends java.lang.Object
      implements java.lang.Cloneable

  Tracks the state of various Graphics properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.awt.Color` | `background` Current background color.
    `private java.awt.Shape` | `clip` Shape used for clipping.
    `private java.awt.Color` | `color` Current stroke color.
    `static java.awt.Color` | `COLOR_EMPTY`
    `private java.awt.Composite` | `composite` Method used for mixing colors.
    `static java.awt.Color` | `DEFAULT_BACKGROUND`
    `static java.awt.Shape` | `DEFAULT_CLIP`
    `static java.awt.Color` | `DEFAULT_COLOR`
    `static java.awt.Composite` | `DEFAULT_COMPOSITE`
    `static java.awt.Font` | `DEFAULT_FONT`
    `static java.awt.Color` | `DEFAULT_PAINT`
    `static java.awt.Stroke` | `DEFAULT_STROKE`
    `static java.awt.geom.AffineTransform` | `DEFAULT_TRANSFORM`
    `static java.awt.Color` | `DEFAULT_XOR_MODE`
    `private java.awt.Font` | `font` Current font.
    `private java.awt.RenderingHints` | `hints` Current Rendering hints.
    `private java.awt.Paint` | `paint` Paint used to fill shapes.
    `private java.awt.Stroke` | `stroke` Stroke used for drawing shapes.
    `private java.awt.geom.AffineTransform` | `transform` Current transformation matrix.
    `private java.awt.Color` | `xorMode` XOR mode used for rendering.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsStyle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphicsStyle` | `clone()`
    `void` | `copyFrom(java.awt.Graphics2D graphics)`
    `boolean` | `equals(GraphicsStyle gc)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.awt.Color` | `getBackground()` Background color only affects the clear operation; It is NOT the fill color of shapes.
    `java.awt.Shape` | `getClip()`
    `java.awt.Color` | `getColor()`
    `java.awt.Composite` | `getComposite()`
    `java.awt.Font` | `getFont()`
    `java.awt.RenderingHints` | `getHints()`
    `java.awt.Paint` | `getPaint()`
    `java.awt.Stroke` | `getStroke()`
    `java.awt.geom.AffineTransform` | `getTransform()`
    `java.awt.Color` | `getXorMode()` Returns the current XOR background color if XOR Mode is in effect.
    `boolean` | `isDefault()`
    `void` | `reset()` Reset all properties to their default values.
    `void` | `setBackground(java.awt.Color background)` Background color only affects the clear operation; It is NOT the fill color of shapes.
    `void` | `setClip(java.awt.Shape clip)`
    `void` | `setColor(java.awt.Color color)`
    `void` | `setComposite(java.awt.Composite composite)`
    `void` | `setFont(java.awt.Font font)`
    `void` | `setPaint(java.awt.Paint paint)`
    `void` | `setStroke(java.awt.Stroke stroke)`
    `void` | `setTransform(java.awt.geom.AffineTransform tx)`
    `void` | `setXorMode(java.awt.Color xorMode)`
    `java.awt.Shape` | `transformShape(java.awt.Shape shape)`
    `java.awt.Shape` | `untransformShape(java.awt.Shape shape)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### background

          private java.awt.Color background

      Current background color. This only affects the clear operation; It is NOT the fill color for shapes.

    - #### clip

          private java.awt.Shape clip

      Shape used for clipping.

    - #### color

          private java.awt.Color color

      Current stroke color.

    - #### COLOR_EMPTY

          public static final java.awt.Color COLOR_EMPTY

    - #### composite

          private java.awt.Composite composite

      Method used for mixing colors.

    - #### DEFAULT_BACKGROUND

          public static final java.awt.Color DEFAULT_BACKGROUND

    - #### DEFAULT_CLIP

          public static final java.awt.Shape DEFAULT_CLIP

    - #### DEFAULT_COLOR

          public static final java.awt.Color DEFAULT_COLOR

    - #### DEFAULT_COMPOSITE

          public static final java.awt.Composite DEFAULT_COMPOSITE

    - #### DEFAULT_FONT

          public static final java.awt.Font DEFAULT_FONT

    - #### DEFAULT_PAINT

          public static final java.awt.Color DEFAULT_PAINT

    - #### DEFAULT_STROKE

          public static final java.awt.Stroke DEFAULT_STROKE

    - #### DEFAULT_TRANSFORM

          public static final java.awt.geom.AffineTransform DEFAULT_TRANSFORM

    - #### DEFAULT_XOR_MODE

          public static final java.awt.Color DEFAULT_XOR_MODE

    - #### font

          private java.awt.Font font

      Current font.

    - #### hints

          private java.awt.RenderingHints hints

      Current Rendering hints.

    - #### paint

          private java.awt.Paint paint

      Paint used to fill shapes.

    - #### stroke

          private java.awt.Stroke stroke

      Stroke used for drawing shapes.

    - #### transform

          private java.awt.geom.AffineTransform transform

      Current transformation matrix.

    - #### xorMode

          private java.awt.Color xorMode

      XOR mode used for rendering.

  - ### Constructor Detail

    - #### GraphicsStyle

          public GraphicsStyle()

  - ### Method Detail

    - #### clone

          public GraphicsStyle clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### copyFrom

          public void copyFrom(java.awt.Graphics2D graphics)

    - #### equals

          public boolean equals(GraphicsStyle gc)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getBackground

          public java.awt.Color getBackground()

      Background color only affects the clear operation; It is NOT the fill color of shapes.

    - #### getClip

          public java.awt.Shape getClip()

    - #### getColor

          public java.awt.Color getColor()

    - #### getComposite

          public java.awt.Composite getComposite()

    - #### getFont

          public java.awt.Font getFont()

    - #### getHints

          public java.awt.RenderingHints getHints()

    - #### getPaint

          public java.awt.Paint getPaint()

    - #### getStroke

          public java.awt.Stroke getStroke()

    - #### getTransform

          public java.awt.geom.AffineTransform getTransform()

    - #### getXorMode

          @NotNull
          public java.awt.Color getXorMode()

      Returns the current XOR background color if XOR Mode is in effect. Otherwise returns null.

    - #### isDefault

          public boolean isDefault()

    - #### reset

          public void reset()

      Reset all properties to their default values.

    - #### setBackground

          public void setBackground(java.awt.Color background)

      Background color only affects the clear operation; It is NOT the fill color of shapes.

    - #### setClip

          public void setClip(java.awt.Shape clip)

    - #### setColor

          public void setColor(java.awt.Color color)

    - #### setComposite

          public void setComposite(java.awt.Composite composite)

    - #### setFont

          public void setFont(java.awt.Font font)

    - #### setPaint

          public void setPaint(java.awt.Paint paint)

    - #### setStroke

          public void setStroke(java.awt.Stroke stroke)

    - #### setTransform

          public void setTransform(java.awt.geom.AffineTransform tx)

    - #### setXorMode

          public void setXorMode(@Nullable
                                 java.awt.Color xorMode)

    - #### transformShape

          public java.awt.Shape transformShape(java.awt.Shape shape)

    - #### untransformShape

          public java.awt.Shape untransformShape(java.awt.Shape shape)